SystemOrganization addCategory: #'Comet-Tests-Core'!

JSObjectTest subclass: #CTCometTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Comet-Tests-Core'!

!CTCometTest class methodsFor: 'accessing' stamp: 'lr 9/9/2010 12:23'!
packageNamesUnderTest
	^ #('Comet-Core')! !

!CTCometTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:55'!
comet
	^ CTComet context: self renderContext! !

!CTCometTest methodsFor: 'tests' stamp: 'lr 3/16/2009 19:24'!
testConnect
	self
		assert: (self comet url: 'http://www.pusher.com/'; connect)
		equals: 'new Comet("http://www.pusher.com/").connect()'! !

!CTCometTest methodsFor: 'tests' stamp: 'lr 3/16/2009 19:24'!
testDisconnect
	self
		assert: (self comet url: 'http://www.pusher.com/'; disconnect)
		equals: 'new Comet("http://www.pusher.com/").disconnect()'! !

!GRPlatformTest methodsFor: '*comet-tests-core' stamp: 'jf 2/9/2010 01:26'!
testForkCometProcessDo
	| semaphore seen |
	semaphore := self platform semaphoreClass new.
	seen := false.
	self platform cometForkProcessDo: [ seen := true. semaphore signal ].
	semaphore wait.
	self assert: seen! !

!GRPackage class methodsFor: '*comet-tests-core' stamp: 'lr 2/17/2010 15:11'!
cometTestsCore
	^ self new
		name: 'Comet-Tests-Core';
		description: 'Unit tests for the Comet-Core package.';
		addDependency: 'Javascript-Tests-Core';
		addDependency: 'Comet-Core';
		url: #seasideUrl;
		yourself! !
